
--[[
local demo_dir = gh_utils.get_demo_dir()  
local abs_path = 0
local PF_U8_RGB = 1
local PF_U8_RGBA = 3
local pixel_format = PF_U8_RGBA
local gen_mipmaps = 1
local compressed_texture = 0
local free_cpu_memory = 1


tex0 = gh_texture.create_from_file_v6(demo_dir .. "../data/tex07.jpg", pixel_format, gen_mipmaps, compressed_texture)

gh_gpu_program.uniform1i(shadertoy_prog, "iChannel0", 0)
 
  
local SAMPLER_FILTERING_LINEAR = 2
local SAMPLER_FILTERING_TRILINEAR = 3
local SAMPLER_ADDRESSING_WRAP = 1
local SAMPLER_ADDRESSING_CLAMP_TO_EDGE = 2
local SAMPLER_ADDRESSING_MIRROR = 3
gh_texture.bind(tex0, 0)
gh_texture.set_sampler_params(tex0, SAMPLER_FILTERING_TRILINEAR, SAMPLER_ADDRESSING_WRAP, 1.0)
gh_texture.bind(0, 0)
  
--]]

